## gvfs 1.14.0

=== debian/changelog ===
gvfs (1.14.0-0ubuntu6) quantal; urgency=low

  * debian/tests/gvfs-test{,bed}: Move back to SIGHUPing udevd, "udevadm
    control --reload-rules" does not work under setuid (it checks real, not
    effective uid).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Oct 2012 22:30:47 +0200

gvfs (1.14.0-0ubuntu5) quantal; urgency=low

  * debian/tests/gvfs-test: Add test cases for WebDAV:
    unauthenticated/authenticated, for both http and https.
  * debian/tests/control: Add apache2 and apache2-prefork-dev (for apxs2) test
    dependencies.
  * debian/tests/gvfs-testbed: Copy OpenSSL conf to sandbox.
  * debian/tests/gvfs-testbed: Keep $PATH from calling environment for the
    called test script, to ensure availability of /sbin directories.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Oct 2012 18:02:20 +0200

gvfs (1.14.0-0ubuntu4) quantal; urgency=low

  * debian/tests/gvfs-testbed: Use "udevadm control --reload-rules" instead of
    signalling udevd.
  * debian/tests/gvfs-test: Add test case for recognizing a media player as
    such.
  * Rename 06_music-player-mimetype.patch to 00git_*, patch got committed
    upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 05 Oct 2012 13:02:29 +0200

gvfs (1.14.0-0ubuntu3) quantal; urgency=low

  * 06_music-player-mimetype.patch: Drop old kludge against the now unused
    gdu backend, and replace with a proper and upstreamable patch against the
    udisks2 backend. This brings back media player detection in nautilus and
    other gvfs clients. (LP: #1051951)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Oct 2012 22:29:06 +0200

gvfs (1.14.0-0ubuntu2) quantal; urgency=low

  * debian/patches/fix-fuse-unmount-crash.patch:
    - Avoid double free on fuse unmount.  LP: #1053561

 -- Michael Terry <mterry@ubuntu.com>  Mon, 01 Oct 2012 16:32:24 -0400

gvfs (1.14.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 14:47:00 +1200

gvfs (1.13.9-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Some code cleanup
    - Lots of translation updates
    - Bug fixes
    - gmountsource: Always use NULL-terminated arrays (LP: #1033275)
    - Remove final parts of libdbus (LP: #932935)
  * Disable 04_hurd_path_max.patch; not required for Ubuntu and does not apply
    any more.
  * Update 05_shared_libdaemon.patch for new upstream version.
  * Drop check-gdu-pool.patch, applied upstream.
  * Update build_old_libgphoto.patch for new upstream version.
  * debian/gvfs-backends.install: libgvfscommon-dnssd.so, not installed any
    more (it's just an internal library).
  * debian/control.in: Bump glib build dependency as per configure.ac.
  * debian/tests/gvfs-test: Rename Sftp.test_localhost() to test_rsa(), and
    factor out the checks on the gvfs mount.
  * debian/tests: Direct sshd log into a file, and cat it if there are test
    failures.
  * debian/tests/gvfs-test: Add test case for RSA authentication for unknown
    host. This reproduces the crash in LP #1033275.
  * debian/tests/gvfs-test: Relax expected gvfs-mount -li output for working
    with 1.13.9.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Sep 2012 14:52:13 +0200

gvfs (1.13.7-0ubuntu6) quantal; urgency=low

  * debian/tests/gvfs-testbed: Use pkill instead of killall, as that's in the
    required procps package.
  * debian/tests/gvfs-testbed: Fix propagation of exit code from the wrapped
    test script, and cat'ing of the Samba log files. This will make
    autopkgtest actually report a failure if tests fail.
  * debian/tests/gvfs-test: Fix the gvfs-ls checks to not depend on the order
    of the listed files.
  * debian/tests/gvfs-test: Properly poll for mock polkit to be started up,
    instead of just waiting for a fixed amount of time.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Aug 2012 15:41:35 +0200

gvfs (1.13.7-0ubuntu5) quantal; urgency=low

  * debian/control.in: Promote udisks2 recommends to a dependency.
  * debian/tests/gvfs-testbed: Ensure that the calling user can define Samba
    usershares.
  * debian/tests/gvfs-testbed: Reload udev rules after adding scsi_debug
    workaround rule.
  * debian/tests/gvfs-testbed: Read udisksd path from D-BUS .service file
    instead of hardcoding it, to avoid distro specific paths.
  * debian/tests/gvfs-test: Add test case for mounting a system partition.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Aug 2012 09:05:35 +0200

gvfs (1.13.7-0ubuntu4) quantal; urgency=low

  * debian/tests/gvfs-testbed: Error out early if samba is not installed.
  * debian/tests/gvfs-testbed: Create a root shell that the test user can call
    to control scsi_debug and similar.
  * debian/tests/gvfs-testbed: Move from synthetic test user to using the
    actual user that called the tests. This avoids problems with being able to
    access the outside system D-BUS and services on it which check users, and
    generally is more realistic as a system integration test. The sandbox
    still shields the real home directory, samba state etc.
  * debian/tests/gvfs-testbed: Add temporary udev rule to make scsi_debug
    CD-ROM file system detection work in udev. (See LP#1043182)
  * debian/tests/gvfs-testbed: Copy /etc/polkit-1/ into testbed, do not
    clobber /etc/mtab with the tmpfs mounts.
  * Add debian/tests/test_polkitd.py: Mock polkit daemon for easier control of
    allowed/disallowed actions. Taken from udisks2.
  * debian/tests/gvfs-test: Add test for detecting, mounting, and unmounting a
    CD-ROM.
  * debian/tests/gvfs-testbed: 
    - Create a local /media/, and restart udisksd in the sandbox so that it
      operates on the sandboxed /media/. Otherwise the system udisksd and the
      sandbox' gvfs disagree on what they see in /media/.
    - Temporarily inhibit gvfs-udisks2-volume-monitor to avoid error popups
      while running the tests in a desktop session.

