## gvfs 1.15.3

=== debian/changelog ===
gvfs (1.15.3-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Note: This ships a new monitor for gnome-online-accounts, but that
      depends on libgoa-1.0-dev > 3.7.1 which we don't have yet. So not
      enabling this for now.
  * Drop patches applied upstream:
    - 00git_fix_archivemounter_tests.patch
    - 00git_fix_drive_tests.patch
    - git_uevent_segfault.patch
  * Add fix_autoreconf_m4.patch: Partially revert commit fdbe5dd3f to fix
    aclocal failure on missing m4/. (GNOME #693634)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Feb 2013 07:03:57 +0100

gvfs (1.15.2-0ubuntu3) raring; urgency=low

  * Add 00git_fix_drive_tests.patch: Fix race condition in Drive tests which
    consistently broke our autopkgtest runs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Feb 2013 15:14:49 +0100

gvfs (1.15.2-0ubuntu2) raring; urgency=low

  * debian/patches/git_uevent_segfault.patch: "MTP: Fix race between 
    on_uevent and do_unmount.", thanks Philip Langdale (lp: #1101986)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Jan 2013 18:58:37 +0100

gvfs (1.15.2-0ubuntu1) raring; urgency=low

  * debian/watch: Look for development releases, too.
  * New upstream release:
    - Add new MTP backend. In particular this can access Android 4.0 devices
      which do not support the USB Mass Storage interface any more.
      (LP: #903422)
    - See NEWS for other changes.
  * Bump build depends and add libmtp-dev according to upstream configure.ac.
  * debian/gvfs-backends.install: Install new MTP monitor.
  * Drop debian/tests/gvfs-test, it has been accepted upstream. Update
    debian/tests/integration to use tests/gvfs-test instead.
  * Add 00git_fix_archivemounter_tests.patch: Fix ArchiveMounter tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Jan 2013 12:42:41 +0100

gvfs (1.14.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Nov 2012 15:05:58 +1300

gvfs (1.14.1-1ubuntu4) raring; urgency=low

  * debian/tests/gvfs-testbed: Ensure we can resolve our hostname in the
    testbed, and that /run/samba/ exists.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Nov 2012 14:34:36 +0100

gvfs (1.14.1-1ubuntu3) raring; urgency=low

  * debian/tests/gvfs-testbed: Use "pkill -SIGNAL" syntax for better
    compatibility with other distros.
  * debian/tests/gvfs-testbed: Copy test files into the sandbox as well.
  * debian/tests/gvfs-testbed: Drop copying of SSL configuration; generating
    certificates on the fly is too brittle across different distributions,
    upstream tests now ship a static certificate.
  * debian/tests/gvfs-testbed: Drop copying of SSH configuration; generating
    host keys on the fly is too brittle across different distributions,
    upstream tests now ship static host keys and a local server configuration.
  * debian/tests/gvfs-testbed: Stop setting up /var/log/ssh/ in the testbed.
    Current upstream tests now use a temporary file.
  * debian/tests/gvfs-testbed: Stop exporting SSHD, current upstream tests now
    determine the path themselves.
  * debian/tests/gvfs-testbed: Generate ssh key for the testbed user, so that
    we do not need to make assumptions about gvfs-testbed in the Sftp tests.
  * debian/tests/gvfs-testbed: Consistently mount with -n option.
  * debian/tests/gvfs-testbed: Make / a private mount in the testbed, to work
    around the overlay mounts spilling into the real system through unshare -m
    on current Fedora.
  * debian/tests/gvfs-testbed: Create minimal self-contained Samba
    configuration instead of relying on the original system files.
  * debian/tests/gvfs-testbed: Copy some additional files to make the testbed
    run on Fedora.
  * debian/tests/gvfs-testbed: Adjust for different directories and service
    names on Fedora.
  * debian/tests/gvfs-testbed: Explicitly set "map to guest" option to fix
    anonymous login under Fedora's samba.
  * debian/tests/gvfs-test, debian/tests/files: Update to current upstream
    version, which brings several improvements and adjustments.
  * debian/tests/gvfs-testbed: Set $XDG_RUNTIME_DIR, as we won't otherwise
    have it in the testbed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Nov 2012 15:55:54 +0100

gvfs (1.14.1-1ubuntu2) raring; urgency=low

  * Disable bluray support as libbluray isn't in main. Look at enabling this
    at a more leisurely pace later.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 29 Oct 2012 14:51:48 +0000

gvfs (1.14.1-1ubuntu1) raring; urgency=low

  * Rebase on Debian, remaining changes:
    - Add autopkgtests (should be arriving from upstream in the next series).
    - Remove libsystemd-logind-dev BD, not available on Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 23 Oct 2012 13:37:02 +0100

gvfs (1.14.1-1) experimental; urgency=low

  * Team upload
  * New upstream release (LP: #1025542)
    - gmountsource always uses NULL-terminated arrays (LP: #1033275)
    - remove final parts of libdbus (LP: #932935)
    - cdda: fix abort with non-ASCII text (LP: #819304)
    - increase build-dependencies
    - use udisks2, not libgdu, on Linux
    - depend on GLib 2.34 (really needs 2.33.12) to bypass the pseudo-epoch
      in unstable
    - add maintscript to transition from bash completion as a conffile to
      bash completion in /usr/share (LP: #1022927)
    - update lists of daemons etc. to install
    - add patch from Ubuntu to force use of GPhoto 2.4
    - add patch from Ubuntu to not crash if a NULL job finishes (LP: #345754,
      LP: #838464)
    - add patch from Ubuntu to not crash when creating volume monitors if the
      VFS never initialized (LP: #832533)
    - add patch from Ubuntu to keep a ref to jobs while they run in a thread
    - Add patch from Christian Kellner, via Ubuntu, to not try to flush a
      tree that doesn't exist (LP: #405432)
    - Add patch from Christian Kellner, via Ubuntu, to erase broken metadata

