=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                gnome-pkg-tools (>= 0.7),
                pkg-config,
                gtk-doc-tools,
-               libglib2.0-dev (>= 2.33.12),
+               libglib2.0-dev (>= 2.35.0),
                libdbus-1-dev,
                intltool (>= 0.35.0),
                openssh-client,
-               libsoup-gnome2.4-dev (>= 2.26.0),
+               libsoup-gnome2.4-dev (>= 2.34.0),
                libxml2-dev,
                libudev-dev (>= 0.138) [linux-any],
                libavahi-glib-dev (>= 0.6),
@@ -32,14 +32,17 @@
                libdbus-glib-1-dev,
                libexpat1-dev,
                libgphoto2-2-dev (>= 2.4.0),
+               libmtp-dev (>= 1.1.0),
                libsecret-1-dev,
+#              Not in main
+#              libbluray-dev,
                libsmbclient-dev (>= 3.0),
                libarchive-dev,
                libgcrypt11-dev (>= 1.2.2),
                libltdl-dev,
                libimobiledevice-dev (>= 1.1.0) [!hurd-any],
                libplist-dev,
-               libudisks2-dev (>= 1.97),
+               libudisks2-dev (>= 1.97) [linux-any],
                libgtk-3-dev
 Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gvfs
@@ -171,8 +174,8 @@
          psmisc
 Recommends: gnome-keyring
 Suggests: obex-data-server, samba-common
-Breaks: gvfs-common (<< 1.12.2-1ubuntu1)
-Replaces: gvfs-common (<< 1.12.2-1ubuntu1)
+Breaks: gvfs-common (<< 1.12.0-2)
+Replaces: gvfs-common (<< 1.12.0-2)
 Description: userspace virtual filesystem - backends
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module
@@ -186,10 +189,10 @@
 Package: gvfs-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gvfs-common (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gvfs-common (= ${source:Version})
 Suggests: gvfs
 Description: userspace virtual filesystem - binaries
  gvfs is a userspace virtual filesystem where mounts run as separate
