=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
@@ -27,7 +26,8 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal \
+			     --disable-bluray
 
 install/gvfs-backends::
 	# Those are only available on Linux:
