## gvfs 1.16.1

=== debian/changelog ===
gvfs (1.16.1-0ubuntu1.1) raring; urgency=low

  * debian/patches/git_fix_hanging_jobs.patch:
    - "daemon: Emit signal before returning dbus value",
      that should fix the issues where nautilus copies of directories 
      over samba hang after a while, thanks Ross Lagerwall (lp: #1075923)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Sep 2013 19:47:06 +0200

gvfs (1.16.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version
  * Dropped patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Apr 2013 16:39:42 +0200

gvfs (1.16.0-1ubuntu4) raring; urgency=low

  * debian/patches/git_shutdown_segfault.patch:
    - backport fix for a common mtp backend segfault (lp: #1130101)
  * debian/patches/git_obex_dbus_segfault.patch:
    - backport another fix for a obexftp segfault (lp: #1057546)
  * debian/patches/gvfsd_http_handle_socketpair_error.patch:
    - replace with the upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2013 21:40:19 +0200

gvfs (1.16.0-1ubuntu3) raring; urgency=low

  * debian/patches/gvfsd_http_handle_socketpair_error.patch: don't segfault 
    if socketpair() fails, thanks Stephen M. Webb (lp: #1065082)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Mar 2013 21:21:17 +0100

gvfs (1.16.0-1ubuntu2) raring; urgency=low

  * Drop libsystemd-login-dev build dependency again. It's harmless, but we
    don't need it in raring yet. This delta can be dropped again in raring+1
    when we move to logind.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 27 Mar 2013 10:45:07 +0100

gvfs (1.16.0-1ubuntu1) raring; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - Drop libbluray-dev build dependency as it is in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Mar 2013 13:51:34 +0100

gvfs (1.16.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/patches/70_fix_autoreconf_m4.patch:
      - Removed, no longer needed as upstream now ships the m4
        directory in the tarballs.

  [ Martin Pitt ]
  * Add autopkgtest, calling upstream integration test suite.
  * Version libmtp-dev build dependency according to configure.ac.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 11:10:28 +0100

gvfs (1.15.4-2) experimental; urgency=low

  * Brown paper bag release.
  * debian/gvfs-backends.install,
    debian/control.in:
    + Actually ship the MTP backend. Closes: #703135.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 16 Mar 2013 13:29:44 +0100

gvfs (1.15.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * New upstream release.
  * Add dependency on desktop-file-utils since many operations won’t 
    work without mimeinfo.cache.
  * 06_metadata_nfs.patch: new patch. Disable gvfsd-metadata entirely on 
    remote filesystems. It is better to miss functionality than to 
    hammer the server. Closes: #624507.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Enable MTP support.
    + debian/patches/*:
      - Refreshed.
    + debian/patches/70_fix_autoreconf_m4.patch:
      - New patch, remove broken arguments for aclocal that make
        autoreconf abort.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2013 18:10:08 +0100
