=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                autotools-dev,
                cdbs (>= 0.4.93),
@@ -32,10 +32,8 @@
                libdbus-glib-1-dev,
                libexpat1-dev,
                libgphoto2-2-dev (>= 2.4.0),
+               libsecret-1-dev,
                libmtp-dev (>= 1.1.0),
-               libsecret-1-dev,
-#              Not in main
-#              libbluray-dev,
                libsmbclient-dev (>= 3.0),
                libarchive-dev,
                libgcrypt11-dev (>= 1.2.2),
@@ -132,7 +130,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libs
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, desktop-file-utils
 Recommends: gvfs
 Breaks: gvfs (<< 1.10.1-1)
 Replaces: gvfs (<< 1.10.1-1)
@@ -183,8 +181,8 @@
  API. It also supports exposing the gvfs mounts to non-gio applications
  using fuse.
  .
- This package contains the afc, afp, archive, cdda, dav, dnssd, ftp, 
- gphoto2, http, network, obexftp, sftp, smb and smb-browse backends.
+ This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
+ gphoto2, http, mtp, network, obexftp, sftp, smb and smb-browse backends.
 
 Package: gvfs-bin
 Architecture: any
