=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal \
-			     --disable-bluray
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal
 
 install/gvfs-backends::
 	# Those are only available on Linux:
