## gvfs 1.18.2

=== debian/changelog ===
gvfs (1.18.2-0ubuntu1) saucy; urgency=low

  * New upstream version:
    - Fix a client side regression in 1.18.1 where apps would stop responding
      (lp: #1231978)
  * debian/patches/git_fix_hanging_jobs.patch: 
    - dropped, it's in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Oct 2013 16:50:49 +0200

gvfs (1.18.1-0ubuntu2) saucy; urgency=low

  * debian/patches/git_fix_hanging_jobs.patch:
    - "daemon: Emit signal before returning dbus value",
      that should fix the issues where nautilus copies of directories 
      over samba hang after a while, thanks Ross Lagerwall (lp: #1075923)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Sep 2013 19:08:34 +0200

gvfs (1.18.1-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Sep 2013 11:04:08 +0200

gvfs (1.18.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Drop debian/tests/powershot.ioctl.xz, current upstream version works.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Sep 2013 08:45:18 +0200

gvfs (1.17.90-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Works with current libimobiledevice API. (LP: #1214204)
  * debian/control.in: Bump libimobiledevice build dep.
  * Drop 00git_tests.patch, upstream now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Sep 2013 14:45:58 +0200

gvfs (1.17.2-0ubuntu6) saucy; urgency=low

  * No change rebuild against libimobiledevice4

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 08 Aug 2013 22:21:54 +0100

gvfs (1.17.2-0ubuntu5) saucy; urgency=low

  * debian/tests: Backport powershot.ioctl.xz record from current upstream
    trunk, which works with libgphoto 2.5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Aug 2013 08:43:20 +0200

gvfs (1.17.2-0ubuntu4) saucy; urgency=low

  * Build against libgphoto2-6. This will make the package installable in
    -proposed again to unblock other builds, but note that it won't propagate
    yet until the GPhoto test has been adjusted to the new libgphoto.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:46:30 +0200

gvfs (1.17.2-0ubuntu3) saucy; urgency=low

  * debian/control.in, debian/rules:
    - Add gvfs-backends-goa package containing the GNOME Online Accounts
      backend, needed for ownCloud integration with nautilus (LP: #1200827)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 23:51:55 -0400

gvfs (1.17.2-0ubuntu2) saucy; urgency=low

  * Add 00git_tests.patch: Import latest test suite updates from upstream git
    head. In particular, this makes the new GPhoto test work under
    gvfs-testbed and thus in autopkgtest.
  * debian/tests/control: Add umockdev test dependencies for the GPhoto test
    case.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Jun 2013 12:14:24 +0200

gvfs (1.17.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Drop 00git_testsuite_fixes.patch, included upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Jun 2013 16:59:02 +0200

gvfs (1.17.1-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Improved MTP backend functionality (LP: #1157586)
    - Many metadata bug fixes.
  * Bump glib and libmtp build dependencies according to configure.ac.
  * Refresh patches.
  * Drop build_old_libgphoto.patch, not necessary any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jun 2013 15:45:54 +0200

gvfs (1.16.2-2ubuntu1) saucy; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add 00git_testsuite_fixes.patch: Import various test suite fixes from
      upstream git head. This fixes the hang of the autopkgtest and makes the
      tests work with Python 3.3.
    - Drop Bluray support (libbluray-dev is in universe)
    - Drop GOA support (our gnome-online-accounts is too old)

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Jun 2013 07:45:02 +0200

gvfs (1.16.2-2) unstable; urgency=low

  * Upload to unstable.
  * Stop building with HAL support on non-Linux. This code is no longer
    maintained and tested and HAL is scheduled to be removed.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 18:38:00 +0200

gvfs (1.16.2-1) experimental; urgency=low

  [ Martin Pitt ]
  * Enable gnome-online-accounts volume monitor. Add libgoa-1.0-dev build
    dependency for this.

  [ Andreas Henriksson ]
  * New upstream release.
  * Refresh patches to apply cleanly:
    - debian/patches/06_metadata_nfs.patch
    - debian/patches/dont-crash-on-null-job.patch
    - debian/patches/metadata-dont-flush-null-tree.patch
    - debian/patches/metadata-nuke-junk-data.patch
    - debian/patches/ref-jobs-in-thread.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 May 2013 17:37:49 +0200
