=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3),
                autotools-dev,
                cdbs (>= 0.4.93),
@@ -15,7 +15,7 @@
                gnome-pkg-tools (>= 0.7),
                pkg-config,
                gtk-doc-tools,
-               libglib2.0-dev (>= 2.35.0),
+               libglib2.0-dev (>= 2.37.0),
                libdbus-1-dev,
                intltool (>= 0.35.0),
                openssh-client,
@@ -25,22 +25,23 @@
                libavahi-glib-dev (>= 0.6),
                libavahi-client-dev (>= 0.6),
                libfuse-dev [!hurd-any],
-               libhal-dev (>= 0.5.10) [!linux-any],
                libgudev-1.0-dev (>= 001) [linux-any],
                libcdio-paranoia-dev (>= 0.78.2),
                libbluetooth-dev (>= 4.0) [linux-any],
+               libgoa-1.0-dev (>= 3.7.1),
                libdbus-glib-1-dev,
                libexpat1-dev,
-               libgphoto2-2-dev (>= 2.4.0),
+               libgphoto2-6-dev (>= 2.4.0),
                libsecret-1-dev,
-               libmtp-dev (>= 1.1.0),
+               libmtp-dev (>= 1.1.6),
                libsmbclient-dev (>= 3.0),
                libarchive-dev,
                libgcrypt11-dev (>= 1.2.2),
                libltdl-dev,
-               libimobiledevice-dev (>= 1.1.0) [!hurd-any],
+               libimobiledevice-dev (>= 1.1.5) [!hurd-any],
                libplist-dev,
                libudisks2-dev (>= 1.97) [linux-any],
+               libsystemd-login-dev (>= 44) [linux-any],
                libgtk-3-dev
 Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gvfs
@@ -61,7 +62,8 @@
         rhythmbox (<< 0.12.6-2),
         libgdu0 (<< 2.28.1-3),
         libglib2.0-0 (<< 2.30)
-Suggests: gvfs-backends
+Suggests: gvfs-backends,
+          gvfs-backends-goa
 Description: userspace virtual filesystem - GIO module
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module
@@ -83,11 +85,10 @@
          gvfs-libs (= ${binary:Version}),
          gvfs-common (= ${source:Version})
 Recommends: dbus,
-            hal (>= 0.5.10) [!linux-any],
-            gnome-mount [!linux-any] | exo-utils [!linux-any],
             policykit-1-gnome [linux-any],
             gvfs
-Suggests: gvfs-backends
+Suggests: gvfs-backends,
+          gvfs-backends-goa
 Breaks: brasero (<< 2.28.0-2),
         rhythmbox (<< 0.12.6-2),
         libgdu0 (<< 2.28.1-3),
@@ -184,6 +185,30 @@
  This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
  gphoto2, http, mtp, network, obexftp, sftp, smb and smb-browse backends.
 
+Package: gvfs-backends-goa
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gvfs (= ${binary:Version}),
+         gvfs-backends (= ${binary:Version}),
+         gvfs-daemons (= ${binary:Version}),
+         gvfs-libs (= ${binary:Version}),
+         gvfs-common (= ${source:Version}),
+         psmisc
+Recommends: gnome-keyring
+Suggests: obex-data-server, samba-common
+Breaks: gvfs-common (<< 1.12.0-2)
+Replaces: gvfs-common (<< 1.12.0-2)
+Description: userspace virtual filesystem - GOA backend
+ gvfs is a userspace virtual filesystem where mounts run as separate
+ processes which you talk to via D-Bus. It also contains a gio module
+ that seamlessly adds gvfs support to all applications using the gio
+ API. It also supports exposing the gvfs mounts to non-gio applications
+ using fuse.
+ .
+ This package contains the GNOME Online Accounts backend.
+
 Package: gvfs-bin
 Architecture: any
 Multi-Arch: foreign
