=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,10 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	--libexecdir=/usr/lib/gvfs
-
-MANPAGES += $(patsubst %.pod,%.1,$(wildcard debian/*.pod))
-
-%.1: %.pod
-	pod2man --release="Gvfs $(DEB_UPSTREAM_VERSION)" \
-	        --center="Debian GNU/Not Linux" $< $@
+	--libexecdir=/usr/lib/gvfs \
+	--disable-hal
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-hal
 
 install/gvfs-backends::
 	# Those are only available on Linux:
@@ -39,18 +32,6 @@
 		debian/tmp/usr/lib/gvfs/gvfs-udisks2-volume-monitor \
 		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.UDisks2VolumeMonitor.service \
 		debian/tmp/usr/share/gvfs/remote-volume-monitors/udisks2.monitor
-
-else
-
-DEB_INSTALL_MANPAGES_gvfs += $(MANPAGES)
-
-install/gvfs::
-	dh_install --autodest -pgvfs-daemons --ignore=debian/gvfs-daemons.install \
-		debian/tmp/usr/lib/gvfs/gvfs-hal-volume-monitor \
-		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service \
-		debian/tmp/usr/share/gvfs/remote-volume-monitors/hal.monitor
-	dh_install -pgvfs-daemons --ignore=debian/gvfs-daemons.install \
-		debian/xdg-mount usr/bin
 
 endif
 
@@ -67,9 +48,10 @@
 		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service \
 		debian/tmp/usr/share/gvfs/mounts/afc.mount \
 		debian/tmp/usr/share/gvfs/remote-volume-monitors/afc.monitor
+install/gvfs-backends::
+	dh_install --autodest -pgvfs-backends-goa --ignore=debian/gvfs-backends-goa.install \
+		debian/tmp/usr/share/dbus-1/services/org.gtk.Private.GoaVolumeMonitor.service \
+		debian/tmp/usr/share/gvfs/remote-volume-monitors/goa.monitor \
+		debian/tmp/usr/lib/gvfs/gvfs-goa-volume-monitor
 endif
 
-common-build-arch:: $(MANPAGES)
-
-clean::
-	rm -f $(MANPAGES)
