=== debian/tests/control ===
Tests: integration
Depends: @, python-twisted-core, dbus-x11, samba, apache2, apache2-prefork-dev, umockdev (>= 0.2.9), python3-gi, gir1.2-umockdev-1.0
Restrictions: needs-root
